Skip to navigation

Get Shopping List

Get a shopping list detail information

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

shoppingListIdintegerRequired
The unique ID for a shopping list.

Query parameters

userIdintegerOptional
B2B Edition buyer user ID, you can enter a user ID to check if this user can view this shopping list.
sortByenumOptional
the field to sort by
Allowed values:
orderByenumOptional
desc or asc for sort by
Allowed values:
customerIdintegerOptional
BigCommerce customer ID, passing this parameter will obtain the shopping list according to the b2c user.
offsetintegerOptional>=0Defaults to 0
Pagination offset for shopping list items
limitintegerOptional1-250Defaults to 250
Pagination limit for shopping list items

Response

OK
codeintegerOptional
Response code of success request.
metaobjectOptional
dataobjectOptional
Response data

Errors

404
Not Found Error